> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Company Payments Methods

GET https://api-b2b.bigcommerce.com/api/v2/io/companies/{companyId}/payments

Get company payments methods, include inactive

Reference: https://docs.bigcommerce.com/developer/docs/archive/b2b-edition/v2-api/payment/companies-payments-list

## Authentication

- `authToken` header (required) — API Key authentication via header

## Request

### Path parameters

- `companyId` (string, required)

### Headers

- `authToken` (string, required) — Auth token in header.

## Response

### 200

Response Success

- `code` (double, optional) — Response status code
- `data` (list of CompaniesCompanyIdPaymentsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional) — Response message

## Types

### CompaniesCompanyIdPaymentsGetResponsesContentApplicationJsonSchemaDataItems

- `code` (string, optional) — Payment code
- `isEnabled` (string, optional) — Payment method status
- `name` (string, optional) — Payment name
- `paymentId` (double, optional) — Payment id

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "code": "cheque",
      "isEnabled": "1",
      "name": "Check",
      "paymentId": 3
    },
    {
      "code": "bankdeposit",
      "isEnabled": "0",
      "name": "Bank Deposit",
      "paymentId": 6
    },
    {
      "code": "cod",
      "isEnabled": "0",
      "name": "Cash on Delivery",
      "paymentId": 7
    },
    {
      "code": "moneyorder",
      "isEnabled": "0",
      "name": "Money Order",
      "paymentId": 8
    },
    {
      "code": "testgateway",
      "isEnabled": "0",
      "name": "Test Payment Gateway",
      "paymentId": 5
    }
  ],
  "message": "SUCCESS"
}
```

**SDK Code**

```shell Shell

curl --location --request GET 'https://api-b2b.bigcommerce.com/api/v2/io/companies/4/payments'                         --header 'authToken: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'

```

```python Python

import requests

url = "https://api-b2b.bigcommerce.com/api/v2/io/companies/4/payments"

payload = {}
headers = {
  'authToken': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'
}

response = requests.request("GET", url, headers=headers, data = payload)

print(response.text.encode('utf8'))

```

```javascript JavaScript

var myHeaders = new Headers();
myHeaders.append("authToken", "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY");

var requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://api-b2b.bigcommerce.com/api/v2/io/companies/4/payments", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

```

```go Payment_companies_payments_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("authToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payment_companies_payments_list_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["authToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Payment_companies_payments_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments")
  .header("authToken", "<apiKey>")
  .asString();
```

```php Payment_companies_payments_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments', [
  'headers' => [
    'authToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payment_companies_payments_list_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments");
var request = new RestRequest(Method.GET);
request.AddHeader("authToken", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Payment_companies_payments_list_example
import Foundation

let headers = ["authToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/payments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```